Page MenuHomePhabricator

French news has empty news story today
Closed, ResolvedPublic

Description

The first story in http://localhost:6927/fr.wikipedia.org/v1/page/news has no story text and no links because the input text on https://fr.wikipedia.org/api/rest_v1/page/html/Mod%C3%A8le:Accueil_actualit%C3%A9 has an empty li.

{
"links": [],
"story": ""
},

Not sure how this affects the iOS app, but in the Android app it looks ugly.

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterNews: don't include empty stories
mediawiki/services/mobileapps : masterFix CI

Event Timeline

bearND created this task.Jan 4 2018, 4:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 4:44 PM

Change 402077 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Temporarily skip testing of French news.

https://gerrit.wikimedia.org/r/402077

Change 402077 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Fix CI

https://gerrit.wikimedia.org/r/402077

Change 402083 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] News: don't include empty stories

https://gerrit.wikimedia.org/r/402083

Change 402083 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] News: don't include empty stories

https://gerrit.wikimedia.org/r/402083

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:52:14Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198)

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:58:14Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198) (duration: 06m 01s)

bearND closed this task as Resolved.Jan 5 2018, 2:47 AM